package ${groupId}.service.stub;

import java.util.List;
import java.util.Map;

import org.hibernate.Hibernate;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import ${groupId}.domain.Member;
import ${groupId}.service.IMember;

public class MemberDao extends HibernateDaoSupport implements IMember {
	public void saveOrUpdate(Member member) {
		getHibernateTemplate().saveOrUpdate(member);
	}
	public void delete(Member member) {
		getHibernateTemplate().delete(member);
	}
	public Member findById(Integer id) {
		return (Member)getHibernateTemplate().get(Member.class, id);
	}
	public Member[] findAll() {
		List list = getHibernateTemplate().loadAll(Member.class);
		return (Member[])list.toArray(new Member[list.size()]);
	}
	public String print(Member member) {
		if (member != null) {
			StringBuffer	buf = new StringBuffer("MEMBER:");
			if (member.getId() != null) 	buf.append(" ID=" + member.getId());
			if (member.getName() != null)	buf.append(" NAME=" + member.getName());
			if (member.getAddress() != null)	buf.append(" ADDRESS=" + member.getAddress());
			return (buf.toString());
		}
		else {
			return ("NULL");
		}
	}
}
